Skip to main content
`Ctrl`+`K`

# SNESKSPGetUseEW

Gets if `SNES` is using Eisenstat-Walker method for computing relative tolerance for linear solvers within an inexact Newton method.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESKSPGetUseEW(SNES snes, PetscBool *flag)

Not Collective

## Input Parameter

- snes - `SNES` context

## Output Parameter

- flag - `PETSC_TRUE` or `PETSC_FALSE`

## See Also

SNES: Nonlinear Solvers, `SNESKSPSetUseEW()`, `SNESKSPGetParametersEW()`, `SNESKSPSetParametersEW()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages